@import 'scss/variables';
@import 'scss/mixins';

.side_drawer {
    height: 100%;
    background: #fff;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 3;
    transform: translateX(-100%);
    @include basic_transition(transform, 0.3);
    padding: 16px 8px;
    display: flex;
    flex-direction: column;
    overflow: auto;

    header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 16px;

        span {
            font-weight: 500;
            margin-left: 8px;
        }

        a {
            display: inline-flex;
            align-items: center;
        }
    }
}

.open {
    transform: translateX(0);
}

.side_drawer__link {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    text-align: left;
    padding: 4px 8px;
    cursor: pointer;
    font-style: normal;
    font-weight: 500;
    font-size: size(16);
    line-height: size(18);
    letter-spacing: 0.05rem;

    &:focus {
        outline: none;
    }
}

.side_drawer__active_link {
    @extend .side_drawer__link;
    font-weight: 700;
    color: #9fc529;
}

.side_drawer__logo {
    width: 24px;
    height: 24px;
}
